"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
function getSource(tree, filePath) {
    const text = tree.read(filePath);
    if (text == null) {
        throw new schematics_1.SchematicsException(`File ${filePath} does not exist.`);
    }
    return text.toString('utf-8');
}
exports.getSource = getSource;
function createGitIgnore(dirName) {
    return (tree => {
        tree.create(`./${dirName}/.gitignore`, `
/node_modules/
/dist/
/lib/
/yarn.lock
*.log
.idea
.serverless
*.iml
*.js.map
*.d.ts
.DS_Store
dll
.awcache
/src/styles/main.css
/firebug-lite
firebug-lite.tar.tgz
serverless.yml
/coverage`);
        return tree;
    });
}
exports.createGitIgnore = createGitIgnore;
//# sourceMappingURL=index.js.map